AudioOverIP-Info

What is AudioOverIP?

AudioOverIP is designed for acoustics research in car industry - Noise/Vibration/Harshness (NVH). It captures sound of one headset-station and sends it to other, identical LAN or WLAN connected headset-stations.

It enables to compare the noise between different stations at the same time. Sound levels of connected stations are displayed as RMS or peak-value in A-, B-, or C- weighting.

To get comparable data sets AudioOverIP (AOIP) has the capability of synchronous disk-recording. Every station can start and stop a parallel harddisk-recording on all stations, whereby every station records its own captured sound.

To get maximum distance between all stations, transmission occures in a chain, station by station.

Features

  • Up to 4 stations in chain
  • Manually configurable order of stations
  • Capturing and streaming of sound
  • Configurable noise-level display for all stations
  • Parallel disk-recording function
  • MP3-compression possibility (broadcast) for reduction of network traffic
  • Ethernet transmission over unicast (MP3 disabled)
  • Records in 100-dB wave file format


First steps

After first start AudioOverIP has to be configured for your system.

Select the network-interface used by AudioOverIP. This may likely already done, because this setup is called automatically when starting AudioOverIP the first time. When not or if you want to change the interface, call the Interface-Setup from the menu "Setup" and select the desired network-interface (Shortcut: STRG+I).

After that you have to configure the audio characteristics. Therefore open the Audio-Setup from the menu "Setup" (Shortcut: STRG+A). There you should select at least the appropriate settings in the section "Audio characteristics", because these settings are important for the next step of configuration. All other settings can be applied now or later, it does no matter at the moment.
Note, that you can change the settings in the section "Audio characteristics" only, if you don't use MP3 compression which is enbabled per default.

Now we have to calibrate the soundcard. Note, that AudioOverIP not search for soundcards. Instead it uses the default soundcard provided by windows. So you have to make sure that the correct soundcard is selected in the system control, if more than one soundcard is installed on your system. Therefore open the system control window and select the Sounds and Audiodevice control panel. Select the tab for audio settings (see picture below):

Select the TransitUSB from M-Audio for both, sound playback and record.

Now the right level for the capturing of audio data has to be set. This can be done by clicking on the button "Volume" in the section for sound capturing. The windows mixer is opened and it has to be set to middle (see picture below).

AudioOverIP is already calibrated for using the M-Audio Transit-USB soundcard (including a special 22db preamp) with microphones from type KE 4-211 as well as the default settings in the Audio-Setup. Using this hardware with the default setup don't need a recalibration. You should only setup the used mic-boost (selected in the window of the M-Audio Transit-USB, poped up automatically when AudioOverIP starts). This can be done in the Level-Control-Dialog in the menu "View" (Shortcut: STRG+L).
When using a different hardware or changing the audio characteristics in the Audio-Setup you need to recalibrate AudioOverIP. To start the calibration open the dialog from the menu "Setup" and follow the notes described there (Shortcut: STRG+C).
(See also Calibration-Setup, Level-Control)

At last you can enter an Object Name for your station, which can be any description. To do this open the dialog "Object Name" from the menu "Setup" (Shortcut: STRG+O).

Now AudioOverIP is ready for using. Note, that these settings have to be performed on each station separatly. When done, wait until all used stations are displayed in the main window and proceed with Setting the station order.

For more detailed information on the different setups see the section Menu "Setup" or press F1 for the setup you want to get more help.


Overview of the main window

Main Window

The picture above displays the main window of the application.

For each station (max. 4) exists a slot which displays its information. There are no differents between these slots so the following explanations refer to the first slot only.

Please select a part of the window by clicking in the picture to get detailed information.


Setting the station order

Setting the Order of Stations

Streaming data is not send to all stations directly. Instead, it is hopping from one station to neighbours to prevent maximum quality when cars driving in a chain. The stations communicate in sequence of numbers in main menue.

Set the station order in main window after RESET.

Initially after the start of AudioOverIP the stations are displayed in the order in which they are found, generally the own station may be the first station. However, the initial order may different on every station.

Use the lists "Computer Name" on the different station-slots to set the right order, which represents the physical sequence of the stations.

Pay attention whith this order, because a wrong station order may cause problems with the connections and broken connections may result.

After setting station order click on the Apply-Button to initiate the connection between all stations. The station order is send to all other stations, it means the station order have to set only once time on one station, but it can be set from any station.

See also the decsription for the Computer Name in the main window.


Using AudioOverIP

After Configuring AudioOverIP and Setting the station order you can use AudioOverIP. Use F1 or this "Help"-function to get help about help on help.

Now you will see the noise level of all connected stations. By clicking on the Hear-Button of a station-slot you can hear its sound. Alternativly you can use the shortcut STRG + [1,2,3,4] depending on the number of the desired station.

In addition you can switch between the display mode for the Noise-Level-Display and between the applied filters. You find these setting in the menu "View".

To fit your need you can select a new range for the scale of the Noise Level Display by using the Level-Control dialog from the menu "View".

The section Disc Record provides the posibility to record sound of each connected station, whereby each station records its own sound. This is initiated by clicking on the Record-Button or by using the shortcut STRG + R.

Make sure, that the correct path for audio files is already entered. Do this by using the dialog Audio-Setup from the menu "Setup".

See also Disc Record, List of shortcuts, Overview of the main window and Menu "View"


Menu "Setup"

The Setup-menue opens after RESET only!

Attention: It referes to the whole system, it influences all stations! Transfer the settings on the other stations using APPLY .

Following setups are available:

Audio:

    In this setup you set the audioformat as well as the size and characteristics of the audiobuffer and the path for saving the WAV-files for Disc Record.

Interface:

    Opens a dialog to select an interface used by AudioOverIP. If there is no network controller installed or no connection initiated (that means, no cable is pluged in or no WLAN connection exists), you see the interface 127.0.0.1, which is the localhost. So you can use AudioOverIP as a stand-alone-solution, too.

Calibration:

    This setup enables you to calibrate your soundcard, including transfer factor and additional amplification.

Object Name:

    Opens a dialog to enter an object name. The object name means an description of your station, for instance your name or some other else which is designated to you. The object name is displayed on each station in the list Computer Name in connection with your computer name.

For a detailed description of the setups see:
Audio-Setup, Interface-Setup, Calibration-Setup, Object Name


Audio-Setup

This picture displays the Audio-Setup-Dialog. It consists of the follwoing parts:

Audio characteristics

    Set the format of the captured audio. The default format is 44100Hz, 16 bit, stereo. Important: Every time you change the format, you must calibrate your soundcard! Do that by using the Calibration-Setup. Make sure, that all stations use the same settings. Note: This section is only enabled, if MP3-Compression is not used. Otherwise the default format will be used.

Audiobuffer

    Set the size of used audio buffer. It amounts [block size] * [block count]. In conjunction with the audio format it designates the buffer time as well as the lower cut-off frequency, displayed in the right side of the dialog. At default it is set to 4608 byte block size and 5 blocks, so the default buffer time amounts 130 ms. Be carefully when changing these settings because the performance will be influenced and distortions or errors may result. Therefore it is strongly recommend to set a block size between 1000 bytes and 6000 bytes.
    Note, that the block size has to be a multiple of [Resolution/8]*[Channels]. This will be adopt automatically, if the entered value doesn't suit the need, so the value may be differ from the entered one.

lower cut-off-frequency

    This value is important for the noise level display. Frequencies below the lower cut-off-frequency may not be evaluated.

Buffer time

    This value is calculated from the Audio characteristics and the buffer settings and determines the minimum delay between capture and playback. Note that addition delays may occure due to network and MP3-Compression.

MP3-Compression

    You can activate MP3-Compression to reduce the amount of data and to increase the performance of the system. Using this function enables the system to transmit the audio data with broadcast frames, which improves the performance in wireless networks significantly. So using this function is strongly recommend using a WLAN, but may not work good in normal networks like ethernet cause of restrictions for broadcast frames.
    If the compression is used, the sound will be captured with 44100 Sample per second, 16 bit and stereo and is coded with 320kbps which is the best quality current available for mp3. Note, that the compression is only used for transmitting data between the stations. If you use the Disc-Record function no compression is involved for this purpose. When using this option the format settings and the block size setting will be deactivated.

Path for audiofiles

    Enter in this feld the path, where the recorded wav-files to be saved or use the "..."-Button on the right side to choose a directory from a dialog.

See also Calibration-Setup


Interface-Setup

This setup enables you to select the appropriate interface for AudioOverIP.
If this is the first start of AudioOverIP or the file "AudioOverIP.ini" was deleted, this dialog is automatically called.
It lists all connected network controllers found in your system. If non is found, the localhost will be listed.
If your controller is not listed there, it may not be connected. That means in case of a LAN-adapter that there is no cable pluged in or in case of a WLAN-adapter that no connection is established.
Select the desired interface in the list and click OK to proceed.


Calibration-Setup

The calibration-setup is used to adjust the soundcard and the peripherie. You don't need to calibrate AudioOverIP, if you use the special equipment consisting of the M-Audio TransitUSB sound card (special edition including a 22db preamp) and a headset with KE 4-211 microphone, which are delivered with AudioOverIP as well as the default Audio-Setup (44100kHz Samplerate, 16 Bit, Stereo). Otherwise recalibration is needed and you should follow the next steps.

Important: You must set the capture-level in the windows mixer to the middle before proceed and it must not be changed after that, otherwise the noise level indicator will not work properly. You have to set it to the middle always when using AudioOverIP.
(For a detailed description for how to set the mixer see First step )

First you have to start the calibration of the ADC. Therefore connect a sinus-signal with a rms-value of 250mV, to both channels of the soundcard and select "Calibrate". The measured values are displayed in the dialog.
If you know the right values you can enter it manually, too.

After that enter the characteristics of the used microphones.
Note, when using the special soundcard Transit-USB delivered with AudioOverIP the included 22db preamp has to be added to the mic-parameter here (i.e. the mic-parameter has to be multiplicated with 12.7)!


Object Name

Enter in the Object Name dialog, found in the menu "Setup", a description of your station.

The lenght is limited to 16 characters. It is displayed in the station list in conjunction with your computer name and helps to identify your station.

It can be changed every time. It is displayed some seconds later in every station regardless wether the stations are connected to each other or not.

See Computer Name in the Overview of the main window


Menu "View"

This menu contains options which belongs to the Noise Level Display. The following features are available:

Level Control:

    This setup enables you to set the appropriate range for the noise level scale for all connected stations and the used mic-boost.

RMS-Value:

    Choose this option to enable the rms-mode, which means rms values will be displayed instead of peak values.

Peak-Value:

    Choose this option to enable the peak-mode, which means peak values will be displayed instead of rms values.

Weighting (Filter):

    Choose between No, A-, B- or C-Filter.

For a detailed description of the setups see:
Level Control, Level Filter


Noise Level Control

This dialog enables you to select a range for the noise level display and a used mic-boost.
For setting the range enter the minimun and the maximum value in db0 which is used for diplaying the noise level for all stations.
You should not exceed the limit of the transmission system (displayed in the bottom of the dialog) because you would waste the range of the display.

When using the mic-boost function of the soundcard, you have to set the appropriate value in the preamp-section, where it is applied for both channels.
Note, that changing this value effects the limit of the transmission system: Increasing the mic-boost, decreases the limit of the system and vice versa (the changed value for the limit will not be displayed until the dialog is opened the next time).

See also Noise Level Indicator


Filter

A-, B-, C- Weighting (RMS) and Peak-Value

AudioOverIP provides 3 different filters, which can be applied to the noise level display, the A-, B- and C- filter. Find them in the menu "View -> Filter".

Attention: There is no way to select different filters on different stations.

Key-Shortcuts

The filters can be activated by using the keys

"ALT" and "N","A","B","C"

whereby

  • N means no filter
  • A, B and C is the appropriate filter.

The selected filter is applied to all noise level displays on all stations.

For a detailed description of all shortcuts see List of shortcuts


Install AirLive WLAN USB

Install external WLAN Adapters (USB)

We install an AirLive WLAN USB Adapter to demonstrate the steps.
Please check first, if the driver was installed earlier.

If you don't have installed AudioOverIP on this system earlier, please refer to Install AudioOverIP and Drivers.

  • Make sure you are logged in as an administrator otherwhile you will not be able to install the driver.
  • Do not connect the WLAN adapter until WinXP has found the correct new hardware.
  • If you have already connected it before installing, please disconnect it and cancel the find-driver-assistent of Windows XP, if it was started.
  • Make sure, there is no other wireless network controller already installed. You have to deactivate that controller first. Open the system control from the windows start menu and choose the network connections. Select the wirleless controller and deactivate it by using the entry "Deactivate" from the menu File (the controller have an antenna as symbol).

  • Rename the connection, for instance to "WLAN_OLD", so you can differ between the controllers later. You can rename it with help of the entry "Rename" from the menu File.
  • If you want to use the pre-installed controller later again, you can re-activate it by selecting the option "Activate" from the menu File. In that case make sure to deactivate the AirLive-Adapter.
  • Now, if not already done, insert the CD "AudioOverIP + Drivers". If this help is opend a second time, close it. Select "Execute" from the Start menu an enter "X:\Driver\AirLive_WL-5480USB_v2504.exe", where X means the letter of your CD-Drive, or open it with the explorer.
  • Follow the setup.
  • If you get a WinXP-compatibilty warning, please ignore it and continue with installation. It may appear several times in the following process.
  • If an error appears instead of a warning and the setup is interrupted, you may use WindowsXP Professional and have denied the installation of non signed drivers.
  • To allow Windows to install drivers not signed from Microsoft:
    • Open the system control and choose the Administration tool.
    • There you can find the tool local security guidelines.
    • Choose on the left side the option Security Setup -> Local guidelines -> Security options
    • Find the guideline "Device: Behavior during installation of non signed drivers" and make a double-click on it.
    • Choose from the listbox the item "Allow installation with warning".
    • Close all dialogs with OK.
    • Close the administration tool.
  • After changing this option finisch the setup and restart it again to complete it succesfully.
  • After the installation has completed, please connect the module.
  • The Driver-Assistent of Windows XP is started. Please do the next steps to complete it:
    • Choose "No connection to the internet" and proceed.
    • In the next dialog leave alle settings as they are and click Next.
    • The compatibility warning, if it appears, has to be ignored again.
    • Now you can finish the assistent and restart your system.

Proceed with Setup the Wireless Lan.


Setting up a Wireless Lan

Install further Wireless Lan Modules or Net Connections

Before creating a wireless lan, you have to configure the WLAN-module for every station separatly.
Installation of additional (USB-) WLAN-modules demand on each PC different tasks:

  • Copy the driver files to the PC
  • Install the new hardware (WindowsXP will find them after USB is inserted)
  • Setup a new network-connection with a different IP-address (otherwise the system can hang-up)
  • Setup identical protection codes (WEP, WPA) on each PC in the new net (can be auto-transfered with the first connection)

The description refers to an Airlive WLAN-USB adapter.

Seting up a new Network-Connection

After installation of the new hardware:

  • Open the system control from the windows start menu and select network connections.
  • Select the entry named "Wireless network connection" (it has an antenna as symbol). The following image makes it clear as an example:

    It can be renamed for example to "External USB-WLAN-Adapter" using the rename function from menu "File".

Set a new IP-Address

  • Select "Properties" from the menu File.
  • Select the entry "Internetprotocol (TCP/IP)" (see picture below) and click Properties.

  • The following image displays the dialog for configurating the TCP/IP-Protocol:

    It is strongly recommend to use following values:
    • IP-Adress: 192.168.0.x (1 < x < 254)
    • Please use different values x for every station
    • Subnet-Mask: 255.255.255.0 (constant for every station)
    • All other settings can left blank
    • Tip: If your internal WLAN is set to 192.168.0.x with (x < 150), add a constant value of 100 to get the new address.
    Close this dialog by clicking OK.
  • Close the Property-Dialog to apply these settings.

Disable the 54 Mbit-Modes of WLAN-Module

The following configuration disables the high data throughput modes to avoid data desynchronisation. It can help for different kinds of adapters.

  • Open the Properties-dialog again and select "Configure".

  • Select the tab "Advanced".

  • Disable the entry "IBSS_G_MODE"
  • Disable "IBSS_PureG_MODE "
  • Close the dialog with "OK".

Configure WEP-Protection Key

Open the utility for the AirLive WLAN USB. You can open it by double-clicking on the [image] -Symbol in the traybar.
The following dialog is opened:

The settings have to be done only on one computer within the new net. All other computers can connect to it directly as described later.

Click "More Setting..."

  • Click on "Change" to activate the network settings. Enter the settings from the picture below.

    After that click on "Apply" (the button what was "Change" before).

  • Next click on the button "Web Encryption Key Setting".

  • In the opend dialog select "Change" (1), Key Format "ASCII" (2) and enter a password with a length of 5 characters in field #1 (3). You should note it because you will need it later for connecting the other stations.

  • Confirm the settings by clicking "Apply ".
    You can leave all dialogs, by pressing ESC-key until you are in the main window again.

Now we can connect to the new net from other PCs.

Start WLAN

  • Open the utility by double-clicking on the [image] -Symbol in the traybar.
  • Click on the Refresh-Button.
  • Select the entry "AirLive" from the network list and click on the button "Connect this site ".

  • You will be asked, if you want to use previous web settings.
    Answer with No. The following dialog appears.
  • Click "Change" (1)
  • Key Format "ASCII" (2)
  • Enter your password in field #1 (3).
  • Click "Apply" (1) again
  • Press the ESC-button to close the dialog.

  • Select "AirLive" from the network list again and click on "Connect this site".
  • Answer now the question for the web settings with "Yes".


Install Transit USB Soundcard

Install USB Headset
(including Transit M-AUDIO Soundcard)

Please check, if the USB-headset was not installed before.

Follow the setup-process of the driver-CD or read this detailed instructions, if necessarry.

If AudioOverIP was not installed earlier on this system, please refer also to
Install AudioOverIP and Drivers.

  • Make sure you are logged in as an administrator
  • Do not connect the Adapterbox until you have installed the soundcard. If you have already connected it before installation, please disconnect the box and cancel the assistent of WindowsXP, if it was started.
  • If not already done, insert the CD "AudioOverIP + Drivers".
  • Select "Execute" from the Start menu and enter "X:\setup.exe", where X means the letter of your CD-Drive.
  • Wait until the Setup is started.
  • Click Next.
  • Enter you customer information
  • Click Next.
  • The next window let you choose between Complete-Setup and Custom-Setup.
  • Select the Custom-Setup.
  • Select Next to proceed.
  • Select the features you want to install, the default is all features are selected. To deselect a feature click on it and select "The feature will not be available".
  • If you want only install the Audio-Driver, deselect AudioOverIP and the WLAN-Driver. Additionally you can select another directory where AudioOverIP will be installed, if you have selected it. That directory does not involve the drivers, because they use there own setup.
  • Click on Change to select a directory.
  • Select Next to proceed.
  • Start the installation process by clicking Install.
    After a short time, a warning may be displayed due to problems with compatibility. This warning is displayed two times. Please ignore that and continue with installation.
  • If there appears an error instead of a warning and the setup is interrupted, you may use Windows XP Professional and have denied the installation of non signed drivers.To allow Windows to install drivers not signed from Microsoft follow these steps:
    • Open the system control and choose the Administration tool.
    • There you can find the tool local security guidelines.
    • Choose on the left side the option Security Setup -> Local guidelines -> Security options
    • Find the guideline "Device: Behavior during installation of non signed drivers" and make a double-click on it.
    • Choose from the listbox the item "Allow installation with warning".
    • Close all dialogs with OK.
    • Close the administration tool.
  • Now finish the setup and reboot your system.
    After rebooting you can connect the Adapterbox. The Windows XP Assistent ist started.
    • Please select no connection to the internet in the welcome screen and continue.
    • Choose "Install software automatically" and continue.
    • The compatibilty warning will be diplayed again. Please ignore that and choose continue to complete the installation process.
    • Finish the Assistent.
    • The new hardware will be found now and the compatibilty warning may appear again. Please ignore this warning. No harm is happening by doing this.
    After changing this option finisch the setup and restart it again to complete it succesfully.

Setup the Transit USB Soundcard

  • Please make sure, that the Transit USB Soundcard is the default soundcard for Windows XP. To do this, open the system control from Windows Start-Menu. Select "Sounds and Audiodevices". In this dialog activate the tab "Audio" and select, if not already done, the Transit USB as the default playback and record device. Close the dialog by clicking OK.
  • At last, setup the new installed soundcard. You can do this by clicking with the right button on the M-Audio-Icon [image] in the traybar and selecting "Open M-Audio Transit USB control panel". This window appears automatically, when AudioOverIP is started.
    The following dialog will be displayed:

    If needed you can activate the Mic Boost here. Please refer to Level-Control for more information on setting up the used mic-boost.

Now you can start with Configuring AudioOverIP


List of shortcuts

Use key-shortcuts for proper handling of the tool within the car.

List of Shortcut-Keys for AudioOverIP

Program-Control

Programm-Setup

Noise Level Display
STRG | 1 | Hear station 1 | STRG | A | Audio-Setup | ALT | A | A-Filter
STRG | 2 | Hear station 2 | STRG | C | Calibration-Setup | ALT | B | B-Filter
STRG | 3 | Hear station 3 | STRG | I | Interface-Setup | ALT | C | C-Filter
STRG | 4 | Hear station 4 | STRG | L | Level Control | ALT | N | No filter
STRG | R | Start/Stop Disc Record | STRG | O | Object Name | ALT | P | Peak-mode
ALT | R | RMS-mode


AudioOverIP-Info

Copyrights and Hotline

AudioOverIP Version 2.0
Built: 8.3.2007
Microsoft Visual C++ .net

Designed and written:
Clemens Walkowiak
(FHTW/GFaI Berlin)

Idea:
Rolf von Sivers
(Porsche AG Weissach)

Supervision:
Dr. Gerd Heinz
(GFaI Berlin)

Any kind of illegal copy and re-distribution is prohibited by international copyright laws.
All rights reserved:

Gesellschaft zur Förderung angewandter Informatik e.V. (GFaI)
Rudower Chaussee 30
12489 Berlin, Germany
www.gfai.de

Hotline: +49 30 6392-1652
Email: heinz@gfai.de


Install AudioOver and Drivers

Install AudioOverIP and Drivers

This topic describes how to install AudioOverIP and all required drivers for the headset and, if required, the AirLive WLAN USB module.
AudioOverIP is a program which captures sound and sends it to all other connected stations. It enables you to connect up to 4 Stations with each other, so every Station can select one and hear its sound, even his own captured sound.
There are up to three components to install:

  • AudioOverIP, which is the main application
  • Driver for the Transit USB Soundcard (included in the headset)
  • Driver for the AirLive WLAN USB module, if a separat WLAN client is required

Make sure that the headset as well as the WLAN module are not connected to the PC until all drivers are installed.
To install AudioOverIP and all drivers follow these steps:

  • Make sure you are logged in as an administrator otherwhile you are not able to install the driver.
  • Select "Execute" from the Start menu and enter "X:\setup.exe", where X means the letter of your CD-Drive.
  • Wait until the Setup is started. Click Next.
  • Enter you customer information and click Next.
  • The next window let you choose between Complete-Setup and Custom-Setup. Select Complete to install AudioOverIP and the driver for the Transit-USB soundcard. The driver for the WLAN module has to be installed later manually from the CD. You can find it in the folder "Driver", where it is the file "AirLive_WL-5480USB_v2504.exe".
  • Start the installation process by clicking Install.
    AudioOverIP is installed now. The required drivers contains separate setups, which will be started automatically. Please follow the instructions from these setups.
  • After a short time, a warning may be displayed due to problems with compatibility. This warning may appear some times. Please ignore that and continue with installation.
    If there appears an error instead of a warning and the setup is corrupted, you have to allow Windows to install drivers not signed from Microsoft. Because of a bug in Microsoft Windows XP this option can be changed in Windows XP Professional only. If you use the Home-Edition you can not change that (but the default is to allow the installation with warning, so it should not be a problem really).
    To allow the installation follow these steps:
    • Open the system control and choose the Administration tool.
    • There you can find the tool local security guidelines.
    • Choose on the left side the option Security Setup -> Local guidelines -> Security options
    • Find the guideline "Device: Behavior during installation of non signed drivers" and make a double-click on it.
    • Choose from the listbox the item "Allow installation with warning".
    • Close all dialogs with OK.
    • Close the administration tool.
    After changing this option finisch the setup and restart it again to complete it succesfully.
  • Now finish the setup and reboot your system.
    After rebooting you can connect the headset. The Windows-XP assistent is started.
    • Please select no connection to the internet in the welcome screen and continue.
    • Choose "Install software automatically" and continue.
    • The compatibilty warning will be diplayed again. Please ignore that and choose continue to complete the installation process.
    • Finish the Assistent.
    • The new hardware will be found now and the compatibilty warning may appear again. Please ignore this warning. No harm is happening by doing this.

Setup the Transit USB Soundcard

  • Please make sure, that the Transit USB Soundcard is the default soundcard for Windows XP. To do this, open the system control from Windows Start-Menu. Select "Sounds and Audiodevices". In this dialog activate the tab "Audio" and select, if not already done, the Transit USB as the default playback and record device. Close the dialog by clicking OK.
  • At last, setup the new installed soundcard. You can do this by clicking with the right button on the M-Audio-Icon [image] in the traybar and selecting "Open M-Audio Transit USB control panel". This window appears automatically, when AudioOverIP is started.
    The following dialog will be displayed:

    If needed you can activate the Mic Boost here. Please refer to Level-Control for more information on setting up the used mic-boost.

Now refer to the instructions for Setting up a wireles lan, please.


Apply-Button

Overview of the main window

Apply-Button

Use this button to apply the station order to all stations and to establish the connection to these stations. After that you can hear to the connected station and you can see the noise-levels of all stations but most of the setups will be deactivated. Use Reset to close the session before calling these setups.

For a detailed description of setting the station order see Setting the station order


Computer Name

Overview of the main window

Computer Name

This box contains a list of all stations which are already found. It contains up to 2 components: The Object Name (if exists) and the Computer Name, which is displayed in square brackets.
Use this box to set the physical order of the stations. This will be the same order used for routing the streaming data.

For a detailed description of setting the station order see Setting the station order


Exit-Button

Overview of the main window

Exit-Button

Use this button to exit AudioOverIP. It closes all connections and forces all connected stations to reset.


Hear-Button

Overview of the main window

Hear-Button

Use this button to hear into the station. You can only hear to one station, so if you hear already to another station, this playing is stopped before.
After the playback of a station is started, its Hear-Button will be changed to a Stop-Button, so a second click to this button stops the playback of the station.
Alternativly, you can start the playback with the shortcut STRG + [1..4], where [1..4] the number of the appropriate station is. For example, use STRG + 1 to start or stop the playback of station 1.
When the playback of a new station starts, a short signal and the number of the station is played first so you ever know that a new playback is started and which station is being played.

Because, there can be only one station which is sending streaming-data at one time, this selection will be applied for all connected stations.

For a detailed list of shortcuts see List of shortcuts


Noise Level Indicator

Overview of the main window

Noise-Level-Indicator

The Noise-Level-Indicator displays the current sound level of the station in db0, which means it is normalized to P0 (20µPa).
Normaly the level is diplayed green, unless the signal is being overdriven. In that case it is displayed red. The dectection for overdriving is always performed with peak-values.
The menu View enables you to select between PEAK-mode and RMS-mode. In PEAK-mode the noise level is generated with peak-values, in RMS-mode with effective-values. The current mode is displayed on the right side of the noise-level-display (see pictures below).

PEAK-mode
RMS-mode

In addition you can select an A-, B- or C-Filter which is applied to the noise levels. These filters are available in the menu View, too.
All these effects are applied to all Noise-Level-Indicators on all stations, that means these settings are global for the whole system.

Another feature of AudioOverIP is the capability of setting the range of the scales. This setting can be found in the menu View -> "Level Control ...".

Important: You have to make sure, that the capture-level of the windows mixer for the used soundcard is set to the middle, otherwise the noise-level-display will not work properly! For a deatiled description of how to set the capture-level see First step.

For more Information see Menu View


Connection-Quality-Indicators

Overview of the main window

Connection-Quality-Indicator

This is used for indicating the connection quality to the appropriate station from sight of your station.
Note that when using unicast (i.e. when MP3-Compression is not used) only the quality to the neighbour stations can be measured and is transmitted to all other stations. So if you don't get a signal from one of your neighbours, you won't get any signal from thats neighbour, too, even, if that has full signal strength.


Disc Recording

Overview of the main window

Disc Recording

Use this section to record the sounds of all connected stations to the hard-disc. The Record-Button starts and stops the record, the red light on the right side is blinking when the record runs.
The file created by the record-process is a standard wav-file. The audioformat is equal to the Audiosetup, except it is always scaled to 100db0.
The files are stored in the directory specified in the Audiosetup. If no directory is specified, the directory of AudioOverIP will be used.
Like hearing, the disc-recording will be applied for all connected stations, that means the record function for all stations is triggered by one station which can be every one of the connected stations.

The Disc Recording can be started and stopped with help of the shortcut STRG + R, too.

For a detailed list of shortcuts see List of shortcuts


Reset-Button

Overview of the main window

Reset-Button

Use this button to reset AudioOverIP. It closes all connections and may be clear the lists for Computer Names. It is like an exit and restart of the program, so it forces all connected stations to reset.


State-Indicators

Overview of the main window

State-Indicator

This green blinking light indicates the current station for playback.